ApplicationWindow.cpp File Reference
`#include "globals.h"`
`#include "ApplicationWindow.h"`
`#include <QtiPlotApplication.h>`
`#include "PlotWizard.h"`
`#include "ConfigDialog.h"`
`#include "RenameWindowDialog.h"`
`#include "ImportASCIIDialog.h"`
`#include "Folder.h"`
`#include "FindDialog.h"`
`#include "OpenProjectDialog.h"`
`#include "CustomActionDialog.h"`
`#include "MdiSubWindow.h"`
`#include <SelectionMoveResizer.h>`
`#include <SymbolBox.h>`
`#include <ColorBox.h>`
`#include <ColorButton.h>`
`#include <PenStyleBox.h>`
`#include <PatternBox.h>`
`#include <SymbolDialog.h>`
`#include <ExportDialog.h>`
`#include <SetColValuesDialog.h>`
`#include <ExtractDataDialog.h>`
`#include <TableDialog.h>`
`#include <TableStatistics.h>`
`#include <Fit.h>`
`#include <MultiPeakFit.h>`
`#include <PolynomialFit.h>`
`#include <SigmoidalFit.h>`
`#include <LogisticFit.h>`
`#include <NonLinearFit.h>`
`#include <Integration.h>`
`#include <IntegrationDialog.h>`
`#include <Differentiation.h>`
`#include <SmoothFilter.h>`
`#include <FFTFilter.h>`
`#include <Convolution.h>`
`#include <Correlation.h>`
`#include <ExpDecayDialog.h>`
`#include <PolynomFitDialog.h>`
`#include <FitDialog.h>`
`#include <IntDialog.h>`
`#include <InterpolationDialog.h>`
`#include <SmoothCurveDialog.h>`
`#include <FilterDialog.h>`
`#include <FFTDialog.h>`
`#include <FrequencyCountDialog.h>`
`#include <SubtractDataDialog.h>`
`#include <BaselineDialog.h>`
`#include <ErrorBarsCurve.h>`
`#include <LegendWidget.h>`
`#include <TexWidget.h>`
`#include <ArrowMarker.h>`
`#include <ImageWidget.h>`
`#include <Grid.h>`
`#include <ScaleDraw.h>`
`#include <ScaleEngine.h>`
`#include <QwtHistogram.h>`
`#include <FunctionCurve.h>`
`#include <PieCurve.h>`
`#include <EllipseWidget.h>`
`#include <RectangleWidget.h>`
`#include <Spectrogram.h>`
`#include <EnrichmentDialog.h>`
`#include <TextEditor.h>`
`#include <CurvesDialog.h>`
`#include <PlotDialog.h>`
`#include <AxesDialog.h>`
`#include <LineDialog.h>`
`#include <ErrDialog.h>`
`#include <FunctionDialog.h>`
`#include <AssociationsDialog.h>`
`#include <ImageExportDialog.h>`
`#include <CurveRangeDialog.h>`
`#include <LayerDialog.h>`
`#include <TextDialog.h>`
`#include <ScreenPickerTool.h>`
`#include <DataPickerTool.h>`
`#include <MultiPeakFitTool.h>`
`#include <LineProfileTool.h>`
`#include <RangeSelectorTool.h>`
`#include <PlotToolInterface.h>`
`#include <SubtractLineTool.h>`
`#include <AddWidgetTool.h>`
`#include <SurfaceDialog.h>`
`#include <Graph3D.h>`
`#include <Plot3DDialog.h>`
`#include <ColorMapDialog.h>`
`#include <MatrixDialog.h>`
`#include <MatrixSizeDialog.h>`
`#include <MatrixValuesDialog.h>`
`#include <MatrixModel.h>`
`#include <MatrixCommand.h>`
`#include <Note.h>`
`#include <ScriptingLangDialog.h>`
`#include <ScriptWindow.h>`
`#include <PythonSyntaxHighlighter.h>`
`#include <CreateBinMatrixDialog.h>`
`#include <StudentTestDialog.h>`
`#include <ImportExportPlugin.h>`
`#include <ExcelFileConverter.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <fstream>`
`#include <iostream>`
`#include <string>`
`#include <qwt_scale_engine.h>`
`#include <qwt_scale_widget.h>`
`#include <qwt_plot_magnifier.h>`
`#include <qwt_symbol.h>`
`#include <QHideEvent>`
`#include <QPluginLoader>`
`#include <QFileDialog>`
`#include <QInputDialog>`
`#include <QProgressDialog>`
`#include <QPrintDialog>`
`#include <QPrintPreviewDialog>`
`#include <QPixmapCache>`
`#include <QMenuBar>`
`#include <QClipboard>`
`#include <QTranslator>`
`#include <QSplitter>`
`#include <QSettings>`
`#include <QApplication>`
`#include <QMessageBox>`
`#include <QPrinter>`
`#include <QActionGroup>`
`#include <QAction>`
`#include <QToolBar>`
`#include <QKeySequence>`
`#include <QImageReader>`
`#include <QImageWriter>`
`#include <QDateTime>`
`#include <QShortcut>`
`#include <QDockWidget>`
`#include <QTextStream>`
`#include <QVarLengthArray>`
`#include <QList>`
`#include <QUrl>`
`#include <QAssistantClient>`
`#include <QFontComboBox>`
`#include <QSpinBox>`
`#include <QMdiArea>`
`#include <QMdiSubWindow>`
`#include <QUndoStack>`
`#include <QUndoView>`
`#include <QCompleter>`
`#include <QStringListModel>`
`#include <QNetworkProxy>`
`#include <QHostInfo>`
`#include <QToolButton>`
`#include <zlib.h>`
`#include <gsl/gsl_statistics.h>`
`#include <gsl/gsl_sort.h>`
`#include "AnovaDialog.h"`

## Functions

void | file_compress (char *file, char *mode)
void | file_uncompress (char *file)

## Function Documentation

## file_compress()

void file_compress | ( | char * | file,
|  | char * | mode
| ) |  |

Referenced by ApplicationWindow::saveFolder(), and ApplicationWindow::saveWindow().

## file_uncompress()

void file_uncompress | ( | char * | file | ) |

Referenced by ApplicationWindow::appendProject(), and ApplicationWindow::open().